Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common.logging
Class IfsLevel

    java.lang.Object
      java.util.logging.Level
          oracle.ifs.common.logging.IfsLevel

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  TieIfsLevel

    public class IfsLevel

extends java.util.logging.Level

Custom logging Levels.

See Also:
  Serialized Form

Field Summary
`static IfsLevel` | `IMPORTANT` The logging level for important informational log messages.

Fields inherited from class java.util.logging.Level
`ALL, CONFIG, FINE, FINER, FINEST, INFO, OFF, SEVERE, WARNING`

Constructor Summary
`protected` | `IfsLevel(java.lang.String name, int level)` Construct an IfsLevel.

Method Summary
`static java.util.logging.Level` | `parse(java.lang.String name)` Parse a String into an Level.

Methods inherited from class java.util.logging.Level
`equals, getLocalizedName, getName, getResourceBundleName, hashCode, intValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### IMPORTANT

    public static IfsLevel IMPORTANT

  Description copied from class: `IfsLevel`
  The logging level for important informational log messages.

Constructor Detail

### IfsLevel

    protected IfsLevel(java.lang.String name,
                       int level)

  Construct an IfsLevel.

  Parameters:
    `name` - name of the logging level
    `level` - logging level numeric value

Method Detail

### parse

    public static java.util.logging.Level parse(java.lang.String name)
                                         throws java.lang.IllegalArgumentException

  Description copied from class: `IfsLevel`
  Parse a String into an Level.

  Parameters:
    `name` - name of the logging level
  Returns:
    the matching Level
  Throws:
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD